GDBserver

Functions
linux-waitpid.c File Reference
`#include "common-defs.h"`
`#include "linux-nat.h"`
`#include "linux-waitpid.h"`
`#include "gdb_wait.h"`

Go to the source code of this file.

## Functions
static void | ATTRIBUTE_PRINTF (1, 2)
char * | status_to_str (int status)
int | my_waitpid (int pid, int *status, int flags)

## Function Documentation

## ◆ ATTRIBUTE_PRINTF()

static void ATTRIBUTE_PRINTF | ( | 1 | ,
|  | 2 |
| ) |  |
| inline static

Definition at line 37 of file linux-waitpid.c.

References debug_threads.

## ◆ my_waitpid()

int my_waitpid | ( | int | pid,
|  | int * | status,
|  | int | flags
| ) |  |

Definition at line 80 of file linux-waitpid.c.

References errno.

Referenced by handle_extended_wait(), kill_wait_lwp(), linux_check_ptrace_features(), linux_detach_one_lwp(), linux_join(), linux_test_for_tracefork(), and linux_wait_for_event_filtered().

## ◆ status_to_str()

char* status_to_str | ( | int | status | ) |

Definition at line 55 of file linux-waitpid.c.

References SYSCALL_SIGTRAP, WEXITSTATUS, WIFSIGNALED, WIFSTOPPED, WSTOPSIG, and WTERMSIG.

Referenced by linux_wait_for_event_filtered().